@echo off
echo off
rem 
rem    Installation de l'imprimante. 
rem    %3 = lecteur d'installation
rem    %1\%2 = rpertoire systme 
rem 

rem ********** On a besoin de CW410_4.EXE *********** 
goto w4
:a4
cls
echo.
echo   Veuillez placer la disquette  4/4  ou  2/2  dans le lecteur %3  
echo. 
pause
:w4 
if not exist %3CW410_4.EXE goto a4

rem   On commence par rendre courant le rpertoire d'installation. 
rem pour le cas o il ne le serait pas...
%1
cd \%2
if exist CW.EXE goto l1
echo.
echo    Problme: le rpertoire %1\%2 ne semble tre celui de 
echo ChiWriter  4.10.  Veuillez vrifier, et recommencer l'installation. 
echo.
goto end
:l1

cls
echo.
echo    Quel est le type de votre imprimante ?
echo.
echo      [A]    Matricielle  9 aiguilles
echo      [B]    Matricielle  24 aiguilles
echo      [C]    HP LaserJet, PostScript, ou HP DeskJet
echo      [D]    Pas d'imprimante
echo.
getkey ABCD
if errorlevel 4 goto noprnt
if errorlevel 3 goto laser
if errorlevel 2 goto pin24
if errorlevel 1 goto pin9

:noprnt
%3cw410_4 -o none.prn %1\%2 >nul
echo ( pdname       )  ( [%2\\%3\\NONE.PRN] ) putinfo >temp
goto end

:laser
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1]  HP DeskJet/DeskJet+, avec cartouche RAM d'au moins 256 KO. 
echo    [2]  HP DeskJet 500, avec cartouche RAM d'au moins 256 KO. 
echo    [3]  HP DeskJet/DeskJet+, sans cartouche RAM.  
echo    [4]  HP DeskJet 500, sans cartouche RAM.  
echo    [5]  HP LaserJet+/Series II.
echo    [6]  HP LaserJet IIP.
echo    [7]  HP LaserJet III/IIIP, avec polices de taille variable.
echo    [8]  Imprimante PostScript.
echo.
getkey 12345678
if errorlevel 8 goto postscript
if errorlevel 7 goto HP3
if errorlevel 6 goto HP2P
if errorlevel 5 goto HP2
if errorlevel 4 goto dsk500
if errorlevel 3 goto dsk
if errorlevel 2 goto dsk500ram
if errorlevel 1 goto dskram

:dskram 
echo    Extraction du pilote d'imprimante DESKJET.PRN ...
%3cw410_4 -o deskjet.prn %1\%2 >nul
if not exist deskjet.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\DESKJET ...
md DESKJET
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format DESKJET ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)   do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII)  do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (ISTANDAR,IGREEK,IITALIC,ORATOR) do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL)  do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (SYMBOL,EITALIC,ESTANDAR,EBOLD)  do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
copy DESKJET\PSTANDAR.WID DESKJET\PUNDERLI.WID >NUL
echo ( pdname       )  ( [%1\\%2\\DESKJET.PRN] ) putinfo >temp
goto end 

:dsk500ram 
echo    Extraction du pilote d'imprimante DESKJ500.PRN ...
%3cw410_4 -o deskj500.prn %1\%2 >nul
if not exist deskj500.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\DESKJET ...
md DESKJET
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format DESKJET ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)  do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII) do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (IGREEK,IITALIC,ORATOR,ISTANDAR) do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL) do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
for %%F in (SYMBOL,EITALIC,ESTANDAR,EBOLD) do FD %%F.LFT DESKJET\%%F.DJF -WD >nul
copy DESKJET\PSTANDAR.WID DESKJET\PUNDERLI.WID >NUL
echo ( pdname       )  ( [%1\\%2\\DESKJ500.PRN] ) putinfo >temp
goto end 

:dsk 
echo    Extraction du pilote d'imprimante DESKJETX.PRN ...
%3cw410_4 -o deskjetx.prn %1\%2 >nul
if not exist deskjetx.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\DESKJET ...
md DESKJET
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\DESKJETX.PRN] ) putinfo >temp
goto end 

:dsk500 
echo    Extraction du pilote d'imprimante DSKJ500X.PRN ...
%3cw410_4 -o dskj500x.prn %1\%2 >nul
if not exist dskj500x.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\DESKJET ...
md DESKJET
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\DSKJ500X.PRN] ) putinfo >temp
goto end 

:HP2
echo    Extraction du pilote d'imprimante LPLUS-2.PRN ...
%3cw410_4 -o LPLUS-2.PRN %1\%2 >nul
if not exist lplus-2.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\LASER ...
md LASER
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format HP portrait ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)  do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (IGREEK,IITALIC,IBOLD,ORATOR)   do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (SYMBOL,SMALL,EITALIC,ESTANDAR) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (EBOLD,ISTANDAR)                do FD %%F.LFT LASER\%%F.HPF -WH >nul 
echo    ... et au format HP paysage ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)  do FD %%F.LFT LASER\%%F.HPL -WL >nul 
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII) do FD %%F.LFT LASER\%%F.HPL -WL >nul 
for %%F in (IGREEK,IITALIC,IBOLD,ORATOR)   do FD %%F.LFT LASER\%%F.HPL -WL >nul 
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL) do FD %%F.LFT LASER\%%F.HPL -WL >nul 
for %%F in (SYMBOL,SMALL,EITALIC,ESTANDAR) do FD %%F.LFT LASER\%%F.HPL -WL >nul 
for %%F in (EBOLD,ISTANDAR)                do FD %%F.LFT LASER\%%F.HPL -WL >nul 
copy LASER\PSTANDARD.WID LASER\PUNDERLI.WID >NUL
echo ( pdname       )  ( [%1\\%2\\LPLUS-2.PRN] ) putinfo >temp
goto end 

:HP2P
echo    Extraction du pilote d'imprimante LPLUS-2P.PRN ...
%3cw410_4 -o LPLUS-2P.PRN %1\%2 >nul
if not exist lplus-2p.prn goto badfile4 
echo    Cration du sous-rpertoire %1\%2\LASER ...
md LASER
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format HP portrait ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)  do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (IGREEK,IITALIC,IBOLD,ORATOR)   do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (SYMBOL,SMALL,EITALIC,ESTANDAR) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (EBOLD,ISTANDAR)                do FD %%F.LFT LASER\%%F.HPF -WH >nul 
rem   Le format HP paysage est inutile sur HP LaserJet 2P. 
copy LASER\PSTANDARD.WID LASER\PUNDERLI.WID >NUL
echo ( pdname       )  ( [%1\\%2\\LPLUS-2P.PRN] ) putinfo >temp
goto end 

:HP3
echo    Copie du pilote d'imprimante LPLUS-3.PRN ... 
%3cw410_4 -o LPLUS-3.PRN %1\%2 >nul
echo    Cration du sous-rpertoire %1\%2\LASER ...
md LASER
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format HP portrait ...
for %%F in (GOTHIC,SCRIPT,GREEK,LINEDRAW)  do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (ILINEDRA,MATHI,IMATHII,MATHII) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (IGREEK,IITALIC,IBOLD,ORATOR)   do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (PBOLD,PSTANDAR,PITALIC,PSMALL) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (SYMBOL,SMALL,EITALIC,ESTANDAR) do FD %%F.LFT LASER\%%F.HPF -WH >nul 
for %%F in (EBOLD,ISTANDAR)                do FD %%F.LFT LASER\%%F.HPF -WH >nul 
rem    le format HP paysage est inutile sur HP LaserJet 3. 
copy LASER\PSTANDARD.WID LASER\PUNDERLI.WID >NUL
echo ( pdname       )  ( [%1\\%2\\LPLUS-3.PRN] ) putinfo >temp
goto end 

:postscript
echo    Copie du pilote d'imprimante PSCRIPT.PRN ...
%3cw410_4 -o PSCRIPT.PRN %1\%2 >nul
echo    Cration du sous-rpertoire %1\%2\PSCRIPT ...
md PSCRIPT
echo    Extraction du fichier d'initialisation PostScript: INIT.PS ...
%3cw410_4 -o INIT.PS %1\%2\pscript >nul
echo    Extraction des polices *.LFT ...
%3cw410_4 -o *.lft %1\%2 >nul
echo    Transformation de ces polices au format PostScript ...
for %%F in (GOTHIC,GREEK,LINEDRAW)         do FD %%F.LFT PSCRIPT\%%F.PSF -WP >nul 
for %%F in (SCRIPT,MATHI,MATHII)           do FD %%F.LFT PSCRIPT\%%F.PSF -WP >nul 
for %%F in (ILINEDRA,IMATHII)              do FD %%F.LFT PSCRIPT\%%F.PSF -WP >nul 
echo ( pdname       )  ( [%1\\%2\\PSCRIPT.PRN] ) putinfo >temp
goto end

:pin24
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Canon BJ 10 ex en mode Epson LQ  (switch 11 ON)
echo    [2] Canon BJ 10 e/ex en mode IBM Proprinter (switch 7,9 ON)
echo    [3] Diconix 150+
echo    [4] Epson L-750
echo    [5] Epson L-1000
echo    [6] Epson LQ-500
echo    [7] Epson LQ-510
echo    [8] Epson LQ-800
echo    [9] Epson LQ-850
echo.
echo    [S] Page suivante ...
echo.
getkey 123456789S
if errorlevel 10 goto pin24a
if errorlevel 9 goto lq850
if errorlevel 8 goto lq850
if errorlevel 7 goto lq800
if errorlevel 6 goto lq850
if errorlevel 5 goto lq850
if errorlevel 4 goto lq850
if errorlevel 3 goto diconix
if errorlevel 2 goto canbjibm
if errorlevel 1 goto canbjlq
:pin24a
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Epson LQ-950
echo    [2] Epson LQ-1000
echo    [3] Epson LQ-1500
echo    [4] Epson LQ-1050
echo    [5] Epson LQ-2500
echo    [6] Epson LQ-2550
echo    [7] Autre imprimante compatible Epson LQ 1500 
echo    [8] Autre imprimante compatible Epson LQ avec mode graphique 360 dpi 
echo    [9] Okidata Microline 390/391 Plus (en mode Epson)
echo.
echo    [P] Page prcdente ...
echo    [S] Page suivante ...
echo.
getkey 123456789PS
if errorlevel 11 goto pin24b
if errorlevel 10 goto pin24
if errorlevel 9 goto lq800
if errorlevel 8 goto lq800
if errorlevel 7 goto lq1500
if errorlevel 6 goto lq2550
if errorlevel 5 goto lq2550
if errorlevel 4 goto lq850
if errorlevel 3 goto lq1500
if errorlevel 2 goto lq800
if errorlevel 1 goto lq850
:pin24b
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Okidata Microline 390/391 Plus (en mode IBM)
echo    [2] Okidata Microline 393 Plus
echo    [3] NEC Pinwriter P5
echo    [4] NEC Pinwriter P6
echo    [5] NEC Pinwriter P7
echo    [6] NEC Pinwriter P9
echo    [7] NEC Pinwriter P2200
echo    [8] NEC PinWriter P5200
echo    [9] NEC PinWriter P5300
echo.
echo    [P] Page prcdente ...
echo    [S] Page suivante ...
echo.
getkey 123456789PS
if errorlevel 11 goto pin24c
if errorlevel 10 goto pin24a
if errorlevel 9 goto necp5200
if errorlevel 8 goto necp5200
if errorlevel 7 goto necp9
if errorlevel 6 goto necp9
if errorlevel 5 goto necp9
if errorlevel 4 goto necp9
if errorlevel 3 goto necp9
if errorlevel 2 goto lq2550
if errorlevel 1 goto ibm24
:pin24c
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] NEC PinWriter P6200
echo    [2] NEC PinWriter P6300
echo    [3] IBM Proprinter X24
echo    [4] IBM Proprinter XL24
echo    [5] IBM Proprinter XL24E
echo.
echo    [P] Page prcdente ...
echo.
getkey 12345P
if errorlevel 6 goto pin24b
if errorlevel 5 goto ibm24
if errorlevel 4 goto ibm24
if errorlevel 3 goto ibm24
if errorlevel 2 goto necp5200
if errorlevel 1 goto necp5200

:canbjlq
echo    Extraction du pilote d'imprimante EPLQ850.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft eplq850.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\eplq850.PRN] ) putinfo >temp
goto end

:canbjibm
echo    Extraction du pilote d'imprimante CANONBJ.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft canonbj.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\CANONBJ.PRN] ) putinfo >temp
goto end

:diconix
echo    Extraction du pilote d'imprimante DICONIX.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft diconix.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\DICONIX.PRN] ) putinfo >temp
goto end

:lq850
echo    Extraction du pilote d'imprimante EPLQ850.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft eplq850.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPLQ850.PRN] ) putinfo >temp
goto end

:lq800
echo    Extraction du pilote d'imprimante EPLQ800.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft eplq800.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPLQ800.PRN] ) putinfo >temp
goto end

:lq1500
echo    Extraction du pilote d'imprimante EPLQ1500.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft eplq1500.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPLQ1500.PRN] ) putinfo >temp
goto end

:lq2550
echo    Extraction du pilote d'imprimante EPLQ2550.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft eplq2550.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPLQ2550.PRN] ) putinfo >temp
goto end

:necp9
echo    Extraction du pilote d'imprimante NECP9.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft necp9.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\NECP9.PRN] ) putinfo >temp
goto end

:necp5200
echo    Extraction du pilote d'imprimante NECP5200.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft necp5200.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\NECP5200.PRN] ) putinfo >temp
goto end

:ibm24
echo    Extraction du pilote d'imprimante IBMPRO24.PRN ...
echo    Extraction des polices 24 aiguilles *.XFT ...
%3cw410_4 -o *.xft ibmpro24.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\IBMPRO24.PRN] ) putinfo >temp
goto end

:pin9
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Epson EX-800
echo    [2] Epson EX-1000
echo    [3] Epson FX-80
echo    [4] Epson FX-80+
echo    [5] Epson FX-85
echo    [6] Epson FX-86e
echo    [7] Epson FX-100
echo    [8] Epson FX-100+
echo    [9] Epson FX-185
echo. 
echo    [S] Page suivante ...
echo.
getkey 123456789S
if errorlevel 10 goto pin9a
if errorlevel 9 goto epsfx85
if errorlevel 8 goto epsfx80
if errorlevel 7 goto epsfx80
if errorlevel 6 goto epsfx850
if errorlevel 5 goto epsfx85
if errorlevel 4 goto epsfx80
if errorlevel 3 goto epsfx80
if errorlevel 2 goto epsfx850
if errorlevel 1 goto epsfx850
:pin9a
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Epson FX-286
echo    [2] Epson FX-286e
echo    [3] Epson FX-850
echo    [4] Epson FX-1050
echo    [5] Epson JX-80
echo    [6] Epson LX-80
echo    [7] Epson LX-86
echo    [8] Epson LX-800
echo    [9] Epson LX-810
echo. 
echo    [P] Page prcdente ...
echo    [S] Page suivante ...
echo.
getkey 123456789PS
if errorlevel 11 goto pin9b
if errorlevel 10 goto pin9
if errorlevel 9 goto epslx800
if errorlevel 8 goto epslx800
if errorlevel 7 goto epslx86
if errorlevel 6 goto epslx80
if errorlevel 5 goto epsfx80
if errorlevel 4 goto epsfx850
if errorlevel 3 goto epsfx850
if errorlevel 2 goto epsfx850
if errorlevel 1 goto epsfx85
:pin9b
cls
echo.
echo    Prcisez le type de votre imprimante:
echo. 
echo    [1] Epson MX-80
echo    [2] Epson T-750
echo    [3] Epson T-1000
echo    [4] Epson compatible sans qualit lettre
echo    [5] Epson compatible avec qualit lettre
echo    [6] IBM Graphics 
echo    [7] IBM Proprinter
echo. 
echo    [P] Page prcdente ...
echo.
getkey 1234567P
if errorlevel 8 goto pin9a
if errorlevel 7 goto ibmpro
if errorlevel 6 goto ibmgraph
if errorlevel 5 goto epslx80
if errorlevel 4 goto epsmx80
if errorlevel 3 goto epslx800
if errorlevel 2 goto epsfx850
if errorlevel 1 goto epsmx80

:epsfx850
echo    Extraction du pilote d'imprimante EPSFX850.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSFX850.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSFX850.PRN] ) putinfo >temp
goto end

:epsfx80
echo    Extraction du pilote d'imprimante EPSFX80.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSFX80.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSFX80.PRN] ) putinfo >temp
goto end

:epsfx85
echo    Extraction du pilote d'imprimante EPSFX85.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSFX85.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSFX85.PRN] ) putinfo >temp
goto end

:epslx80
echo    Extraction du pilote d'imprimante EPSLX80.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSLX80.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSLX80.PRN] ) putinfo >temp
goto end

:epslx86
echo    Extraction du pilote d'imprimante EPSLX86.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSLX86.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSLX86.PRN] ) putinfo >temp
goto end

:epslx800
echo    Extraction du pilote d'imprimante EPSLX800.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSLX800.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSLX800.PRN] ) putinfo >temp
goto end

:epsmx80
echo    Extraction du pilote d'imprimante EPSMX800.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft EPSMX80.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\EPSMX80.PRN] ) putinfo >temp
goto end

:ibmgraph
echo    Extraction du pilote d'imprimante IBMGRAPH.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft IBMGRAPH.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\IBMGRAPH.PRN] ) putinfo >temp
goto end

:ibmpro
echo    Extraction du pilote d'imprimante IBMPRO.PRN ...
echo    Extraction des polices 9 aiguilles *.PFT ...
%3cw410_4 -o *.pft IBMPRO.prn %1\%2 >nul
echo ( pdname       )  ( [%1\\%2\\IBMPRO.PRN] ) putinfo >temp

:end
chgbrk temp
echo. 
echo      Mise  jour de CONFIG.PAR ...
copy config.std+temp config.par >nul 
if exist config.par goto j1
echo. 
echo    Problme pour la cration du fichier CONFIG.PAR. 
echo    Vrification  faire aprs la fin de l'installation. 
echo. 
pause
:j1
del temp >nul
del config.std >nul 
del chgbrk.exe >nul 
pause

cls
echo   Pour terminer l'installation de ChiWriter 4.10, procdez comme suit: 
echo. 
echo   1. Lancez ChiWriter depuis le rpertoire CW410 en tapant:
echo. 
echo CW [Entre]
echo. 
echo   ChiWriter va vous demander votre nom, et le code de contrle que
echo vous trouverez sur une feuille spare dans l'emballage de ChiWriter. 
echo (Si vous avez un ChiWriter 4.02, ce numro se trouve dans l'emballage 
echo de celui-ci). Aux lancements suivants, ChiWriter ne vous demandera plus ces 
echo renseignements. 
echo   2. Editez (en ASCII) votre fichier AUTOEXEC.BAT et ajoutez le rpertoire
echo CW410  l'argument de la commande PATH. Ceci vous permettra d'appeler
echo ChiWriter 4.10 depuis n'importe quel rpertoire. La variable du MS-DOS
echo ``CHIFILES'' n'est pas utile pour ChiWriter 4. 
echo   3. Consultez le fichier LISEZ.MOI, dans le rpertoire %1\%2, 
echo pour des informations importantes. 
echo   4. Si vous dsirez installer une imprimante supplmentaire, relancez
echo le programme d'installation, et choisissez l'option: Installation d'une 
echo imprimante. 
goto endd

:badfile1
echo. 
echo    CW410_1.EXE introuvable. 
goto endd

:badfile2
echo. 
echo    CW410_2.EXE introuvable. 
goto endd

:badfile3
echo. 
echo    CW410_3.EXE introuvable. 
goto endd

:badfile4
echo. 
echo    CW410_4.EXE introuvable. 
goto endd

:endd

